import{s as lt,n as mt,o as ft}from"../chunks/scheduler.6062bdaf.js";import{S as pt,i as _t,g as s,s as i,r as x,A as bt,h as o,f as t,c as a,j as d,u as y,x as u,k as h,y as n,a as r,v as C,d as $,t as w,w as P}from"../chunks/index.4bca734e.js";import{D as V}from"../chunks/Docstring.1e02b952.js";import{I as dt}from"../chunks/IconCopyLink.68a13644.js";function vt(Ue){let b,de,v,T,he,H,Pe,U,Fe="Interacting with Discussions and Pull Requests",le,E,Ge=`Check the <a href="/docs/huggingface_hub/v0.17.3/en/package_reference/hf_api#huggingface_hub.HfApi">HfApi</a> documentation page for the reference of methods enabling
interaction with Pull Requests and Discussions on the Hub.`,me,k,ze='<li><a href="/docs/huggingface_hub/v0.17.3/en/package_reference/hf_api#huggingface_hub.HfApi.get_repo_discussions">get_repo_discussions()</a></li> <li><a href="/docs/huggingface_hub/v0.17.3/en/package_reference/hf_api#huggingface_hub.HfApi.get_discussion_details">get_discussion_details()</a></li> <li><a href="/docs/huggingface_hub/v0.17.3/en/package_reference/hf_api#huggingface_hub.HfApi.create_discussion">create_discussion()</a></li> <li><a href="/docs/huggingface_hub/v0.17.3/en/package_reference/hf_api#huggingface_hub.HfApi.create_pull_request">create_pull_request()</a></li> <li><a href="/docs/huggingface_hub/v0.17.3/en/package_reference/hf_api#huggingface_hub.HfApi.rename_discussion">rename_discussion()</a></li> <li><a href="/docs/huggingface_hub/v0.17.3/en/package_reference/hf_api#huggingface_hub.HfApi.comment_discussion">comment_discussion()</a></li> <li><a href="/docs/huggingface_hub/v0.17.3/en/package_reference/hf_api#huggingface_hub.HfApi.edit_discussion_comment">edit_discussion_comment()</a></li> <li><a href="/docs/huggingface_hub/v0.17.3/en/package_reference/hf_api#huggingface_hub.HfApi.change_discussion_status">change_discussion_status()</a></li> <li><a href="/docs/huggingface_hub/v0.17.3/en/package_reference/hf_api#huggingface_hub.HfApi.merge_pull_request">merge_pull_request()</a></li>',fe,D,R,ge,L,Te,F,Je="Data structures",pe,l,S,Re,G,Be="A Discussion or Pull Request on the Hub.",Ae,z,Ke="This dataclass is not intended to be instantiated directly.",_e,q,I,He,J,Qe='Subclass of <a href="/docs/huggingface_hub/v0.17.3/en/package_reference/community#huggingface_hub.Discussion">Discussion</a>.',be,g,W,Ee,B,Xe="An event in a Discussion or Pull Request.",ke,K,Ye="Use concrete classes:",Le,Q,Ze='<li><a href="/docs/huggingface_hub/v0.17.3/en/package_reference/community#huggingface_hub.DiscussionComment">DiscussionComment</a></li> <li><a href="/docs/huggingface_hub/v0.17.3/en/package_reference/community#huggingface_hub.DiscussionStatusChange">DiscussionStatusChange</a></li> <li><a href="/docs/huggingface_hub/v0.17.3/en/package_reference/community#huggingface_hub.DiscussionCommit">DiscussionCommit</a></li> <li><a href="/docs/huggingface_hub/v0.17.3/en/package_reference/community#huggingface_hub.DiscussionTitleChange">DiscussionTitleChange</a></li>',ve,m,M,Se,X,et="A comment in a Discussion / Pull Request.",Ie,Y,tt='Subclass of <a href="/docs/huggingface_hub/v0.17.3/en/package_reference/community#huggingface_hub.DiscussionEvent">DiscussionEvent</a>.',De,f,N,We,Z,nt="A change of status in a Discussion / Pull Request.",Me,ee,st='Subclass of <a href="/docs/huggingface_hub/v0.17.3/en/package_reference/community#huggingface_hub.DiscussionEvent">DiscussionEvent</a>.',qe,p,j,Ne,te,ot="A commit in a Pull Request.",je,ne,it='Subclass of <a href="/docs/huggingface_hub/v0.17.3/en/package_reference/community#huggingface_hub.DiscussionEvent">DiscussionEvent</a>.',xe,_,O,Oe,se,at="A rename event in a Discussion / Pull Request.",Ve,oe,ct='Subclass of <a href="/docs/huggingface_hub/v0.17.3/en/package_reference/community#huggingface_hub.DiscussionEvent">DiscussionEvent</a>.',ye;return H=new dt({}),L=new dt({}),S=new V({props:{name:"class huggingface_hub.Discussion",anchor:"huggingface_hub.Discussion",parameters:[{name:"title",val:": str"},{name:"status",val:": typing.Literal['open', 'closed', 'merged', 'draft']"},{name:"num",val:": int"},{name:"repo_id",val:": str"},{name:"repo_type",val:": str"},{name:"author",val:": str"},{name:"is_pull_request",val:": bool"},{name:"created_at",val:": datetime"},{name:"endpoint",val:": str"}],parametersDescription:[{anchor:"huggingface_hub.Discussion.title",description:`<strong>title</strong> (<code>str</code>) &#x2014;
The title of the Discussion / Pull Request`,name:"title"},{anchor:"huggingface_hub.Discussion.status",description:`<strong>status</strong> (<code>str</code>) &#x2014;
The status of the Discussion / Pull Request.
It must be one of:<ul>
<li><code>&quot;open&quot;</code></li>
<li><code>&quot;closed&quot;</code></li>
<li><code>&quot;merged&quot;</code> (only for Pull Requests )</li>
<li><code>&quot;draft&quot;</code> (only for Pull Requests )</li>
</ul>`,name:"status"},{anchor:"huggingface_hub.Discussion.num",description:`<strong>num</strong> (<code>int</code>) &#x2014;
The number of the Discussion / Pull Request.`,name:"num"},{anchor:"huggingface_hub.Discussion.repo_id",description:`<strong>repo_id</strong> (<code>str</code>) &#x2014;
The id (<code>&quot;{namespace}/{repo_name}&quot;</code>) of the repo on which
the Discussion / Pull Request was open.`,name:"repo_id"},{anchor:"huggingface_hub.Discussion.repo_type",description:`<strong>repo_type</strong> (<code>str</code>) &#x2014;
The type of the repo on which the Discussion / Pull Request was open.
Possible values are: <code>&quot;model&quot;</code>, <code>&quot;dataset&quot;</code>, <code>&quot;space&quot;</code>.`,name:"repo_type"},{anchor:"huggingface_hub.Discussion.author",description:`<strong>author</strong> (<code>str</code>) &#x2014;
The username of the Discussion / Pull Request author.
Can be <code>&quot;deleted&quot;</code> if the user has been deleted since.`,name:"author"},{anchor:"huggingface_hub.Discussion.is_pull_request",description:`<strong>is_pull_request</strong> (<code>bool</code>) &#x2014;
Whether or not this is a Pull Request.`,name:"is_pull_request"},{anchor:"huggingface_hub.Discussion.created_at",description:`<strong>created_at</strong> (<code>datetime</code>) &#x2014;
The <code>datetime</code> of creation of the Discussion / Pull Request.`,name:"created_at"},{anchor:"huggingface_hub.Discussion.endpoint",description:`<strong>endpoint</strong> (<code>str</code>) &#x2014;
Endpoint of the Hub. Default is <a href="https://huggingface.co" rel="nofollow">https://huggingface.co</a>.`,name:"endpoint"},{anchor:"huggingface_hub.Discussion.git_reference",description:`<strong>git_reference</strong> (<code>str</code>, <em>optional</em>) &#x2014;
(property) Git reference to which changes can be pushed if this is a Pull Request, <code>None</code> otherwise.`,name:"git_reference"},{anchor:"huggingface_hub.Discussion.url",description:`<strong>url</strong> (<code>str</code>) &#x2014;
(property) URL of the discussion on the Hub.`,name:"url"}],source:"https://github.com/huggingface/huggingface_hub/blob/v0.17.3/src/huggingface_hub/community.py#L19"}}),I=new V({props:{name:"class huggingface_hub.DiscussionWithDetails",anchor:"huggingface_hub.DiscussionWithDetails",parameters:[{name:"title",val:": str"},{name:"status",val:": typing.Literal['open', 'closed', 'merged', 'draft']"},{name:"num",val:": int"},{name:"repo_id",val:": str"},{name:"repo_type",val:": str"},{name:"author",val:": str"},{name:"is_pull_request",val:": bool"},{name:"created_at",val:": datetime"},{name:"endpoint",val:": str"},{name:"events",val:": typing.List[ForwardRef('DiscussionEvent')]"},{name:"conflicting_files",val:": typing.Optional[typing.List[str]]"},{name:"target_branch",val:": typing.Optional[str]"},{name:"merge_commit_oid",val:": typing.Optional[str]"},{name:"diff",val:": typing.Optional[str]"}],parametersDescription:[{anchor:"huggingface_hub.DiscussionWithDetails.title",description:`<strong>title</strong> (<code>str</code>) &#x2014;
The title of the Discussion / Pull Request`,name:"title"},{anchor:"huggingface_hub.DiscussionWithDetails.status",description:`<strong>status</strong> (<code>str</code>) &#x2014;
The status of the Discussion / Pull Request.
It can be one of:<ul>
<li><code>&quot;open&quot;</code></li>
<li><code>&quot;closed&quot;</code></li>
<li><code>&quot;merged&quot;</code> (only for Pull Requests )</li>
<li><code>&quot;draft&quot;</code> (only for Pull Requests )</li>
</ul>`,name:"status"},{anchor:"huggingface_hub.DiscussionWithDetails.num",description:`<strong>num</strong> (<code>int</code>) &#x2014;
The number of the Discussion / Pull Request.`,name:"num"},{anchor:"huggingface_hub.DiscussionWithDetails.repo_id",description:`<strong>repo_id</strong> (<code>str</code>) &#x2014;
The id (<code>&quot;{namespace}/{repo_name}&quot;</code>) of the repo on which
the Discussion / Pull Request was open.`,name:"repo_id"},{anchor:"huggingface_hub.DiscussionWithDetails.repo_type",description:`<strong>repo_type</strong> (<code>str</code>) &#x2014;
The type of the repo on which the Discussion / Pull Request was open.
Possible values are: <code>&quot;model&quot;</code>, <code>&quot;dataset&quot;</code>, <code>&quot;space&quot;</code>.`,name:"repo_type"},{anchor:"huggingface_hub.DiscussionWithDetails.author",description:`<strong>author</strong> (<code>str</code>) &#x2014;
The username of the Discussion / Pull Request author.
Can be <code>&quot;deleted&quot;</code> if the user has been deleted since.`,name:"author"},{anchor:"huggingface_hub.DiscussionWithDetails.is_pull_request",description:`<strong>is_pull_request</strong> (<code>bool</code>) &#x2014;
Whether or not this is a Pull Request.`,name:"is_pull_request"},{anchor:"huggingface_hub.DiscussionWithDetails.created_at",description:`<strong>created_at</strong> (<code>datetime</code>) &#x2014;
The <code>datetime</code> of creation of the Discussion / Pull Request.`,name:"created_at"},{anchor:"huggingface_hub.DiscussionWithDetails.events",description:`<strong>events</strong> (<code>list</code> of <a href="/docs/huggingface_hub/v0.17.3/en/package_reference/community#huggingface_hub.DiscussionEvent">DiscussionEvent</a>) &#x2014;
The list of <code>DiscussionEvents</code> in this Discussion or Pull Request.`,name:"events"},{anchor:"huggingface_hub.DiscussionWithDetails.conflicting_files",description:`<strong>conflicting_files</strong> (<code>list</code> of <code>str</code>, <em>optional</em>) &#x2014;
A list of conflicting files if this is a Pull Request.
<code>None</code> if <code>self.is_pull_request</code> is <code>False</code>.`,name:"conflicting_files"},{anchor:"huggingface_hub.DiscussionWithDetails.target_branch",description:`<strong>target_branch</strong> (<code>str</code>, <em>optional</em>) &#x2014;
The branch into which changes are to be merged if this is a
Pull Request . <code>None</code>  if <code>self.is_pull_request</code> is <code>False</code>.`,name:"target_branch"},{anchor:"huggingface_hub.DiscussionWithDetails.merge_commit_oid",description:`<strong>merge_commit_oid</strong> (<code>str</code>, <em>optional</em>) &#x2014;
If this is a merged Pull Request , this is set to the OID / SHA of
the merge commit, <code>None</code> otherwise.`,name:"merge_commit_oid"},{anchor:"huggingface_hub.DiscussionWithDetails.diff",description:`<strong>diff</strong> (<code>str</code>, <em>optional</em>) &#x2014;
The git diff if this is a Pull Request , <code>None</code> otherwise.`,name:"diff"},{anchor:"huggingface_hub.DiscussionWithDetails.endpoint",description:`<strong>endpoint</strong> (<code>str</code>) &#x2014;
Endpoint of the Hub. Default is <a href="https://huggingface.co" rel="nofollow">https://huggingface.co</a>.`,name:"endpoint"},{anchor:"huggingface_hub.DiscussionWithDetails.git_reference",description:`<strong>git_reference</strong> (<code>str</code>, <em>optional</em>) &#x2014;
(property) Git reference to which changes can be pushed if this is a Pull Request, <code>None</code> otherwise.`,name:"git_reference"},{anchor:"huggingface_hub.DiscussionWithDetails.url",description:`<strong>url</strong> (<code>str</code>) &#x2014;
(property) URL of the discussion on the Hub.`,name:"url"}],source:"https://github.com/huggingface/huggingface_hub/blob/v0.17.3/src/huggingface_hub/community.py#L87"}}),W=new V({props:{name:"class huggingface_hub.DiscussionEvent",anchor:"huggingface_hub.DiscussionEvent",parameters:[{name:"id",val:": str"},{name:"type",val:": str"},{name:"created_at",val:": datetime"},{name:"author",val:": str"},{name:"_event",val:": dict"}],parametersDescription:[{anchor:"huggingface_hub.DiscussionEvent.id",description:`<strong>id</strong> (<code>str</code>) &#x2014;
The ID of the event. An hexadecimal string.`,name:"id"},{anchor:"huggingface_hub.DiscussionEvent.type",description:`<strong>type</strong> (<code>str</code>) &#x2014;
The type of the event.`,name:"type"},{anchor:"huggingface_hub.DiscussionEvent.created_at",description:`<strong>created_at</strong> (<code>datetime</code>) &#x2014;
A <a href="https://docs.python.org/3/library/datetime.html?highlight=datetime#datetime.datetime" rel="nofollow"><code>datetime</code></a>
object holding the creation timestamp for the event.`,name:"created_at"},{anchor:"huggingface_hub.DiscussionEvent.author",description:`<strong>author</strong> (<code>str</code>) &#x2014;
The username of the Discussion / Pull Request author.
Can be <code>&quot;deleted&quot;</code> if the user has been deleted since.`,name:"author"}],source:"https://github.com/huggingface/huggingface_hub/blob/v0.17.3/src/huggingface_hub/community.py#L145"}}),M=new V({props:{name:"class huggingface_hub.DiscussionComment",anchor:"huggingface_hub.DiscussionComment",parameters:[{name:"id",val:": str"},{name:"type",val:": str"},{name:"created_at",val:": datetime"},{name:"author",val:": str"},{name:"_event",val:": dict"},{name:"content",val:": str"},{name:"edited",val:": bool"},{name:"hidden",val:": bool"}],parametersDescription:[{anchor:"huggingface_hub.DiscussionComment.id",description:`<strong>id</strong> (<code>str</code>) &#x2014;
The ID of the event. An hexadecimal string.`,name:"id"},{anchor:"huggingface_hub.DiscussionComment.type",description:`<strong>type</strong> (<code>str</code>) &#x2014;
The type of the event.`,name:"type"},{anchor:"huggingface_hub.DiscussionComment.created_at",description:`<strong>created_at</strong> (<code>datetime</code>) &#x2014;
A <a href="https://docs.python.org/3/library/datetime.html?highlight=datetime#datetime.datetime" rel="nofollow"><code>datetime</code></a>
object holding the creation timestamp for the event.`,name:"created_at"},{anchor:"huggingface_hub.DiscussionComment.author",description:`<strong>author</strong> (<code>str</code>) &#x2014;
The username of the Discussion / Pull Request author.
Can be <code>&quot;deleted&quot;</code> if the user has been deleted since.`,name:"author"},{anchor:"huggingface_hub.DiscussionComment.content",description:`<strong>content</strong> (<code>str</code>) &#x2014;
The raw markdown content of the comment. Mentions, links and images are not rendered.`,name:"content"},{anchor:"huggingface_hub.DiscussionComment.edited",description:`<strong>edited</strong> (<code>bool</code>) &#x2014;
Whether or not this comment has been edited.`,name:"edited"},{anchor:"huggingface_hub.DiscussionComment.hidden",description:`<strong>hidden</strong> (<code>bool</code>) &#x2014;
Whether or not this comment has been hidden.`,name:"hidden"}],source:"https://github.com/huggingface/huggingface_hub/blob/v0.17.3/src/huggingface_hub/community.py#L178"}}),N=new V({props:{name:"class huggingface_hub.DiscussionStatusChange",anchor:"huggingface_hub.DiscussionStatusChange",parameters:[{name:"id",val:": str"},{name:"type",val:": str"},{name:"created_at",val:": datetime"},{name:"author",val:": str"},{name:"_event",val:": dict"},{name:"new_status",val:": str"}],parametersDescription:[{anchor:"huggingface_hub.DiscussionStatusChange.id",description:`<strong>id</strong> (<code>str</code>) &#x2014;
The ID of the event. An hexadecimal string.`,name:"id"},{anchor:"huggingface_hub.DiscussionStatusChange.type",description:`<strong>type</strong> (<code>str</code>) &#x2014;
The type of the event.`,name:"type"},{anchor:"huggingface_hub.DiscussionStatusChange.created_at",description:`<strong>created_at</strong> (<code>datetime</code>) &#x2014;
A <a href="https://docs.python.org/3/library/datetime.html?highlight=datetime#datetime.datetime" rel="nofollow"><code>datetime</code></a>
object holding the creation timestamp for the event.`,name:"created_at"},{anchor:"huggingface_hub.DiscussionStatusChange.author",description:`<strong>author</strong> (<code>str</code>) &#x2014;
The username of the Discussion / Pull Request author.
Can be <code>&quot;deleted&quot;</code> if the user has been deleted since.`,name:"author"},{anchor:"huggingface_hub.DiscussionStatusChange.new_status",description:`<strong>new_status</strong> (<code>str</code>) &#x2014;
The status of the Discussion / Pull Request after the change.
It can be one of:<ul>
<li><code>&quot;open&quot;</code></li>
<li><code>&quot;closed&quot;</code></li>
<li><code>&quot;merged&quot;</code> (only for Pull Requests )</li>
</ul>`,name:"new_status"}],source:"https://github.com/huggingface/huggingface_hub/blob/v0.17.3/src/huggingface_hub/community.py#L233"}}),j=new V({props:{name:"class huggingface_hub.DiscussionCommit",anchor:"huggingface_hub.DiscussionCommit",parameters:[{name:"id",val:": str"},{name:"type",val:": str"},{name:"created_at",val:": datetime"},{name:"author",val:": str"},{name:"_event",val:": dict"},{name:"summary",val:": str"},{name:"oid",val:": str"}],parametersDescription:[{anchor:"huggingface_hub.DiscussionCommit.id",description:`<strong>id</strong> (<code>str</code>) &#x2014;
The ID of the event. An hexadecimal string.`,name:"id"},{anchor:"huggingface_hub.DiscussionCommit.type",description:`<strong>type</strong> (<code>str</code>) &#x2014;
The type of the event.`,name:"type"},{anchor:"huggingface_hub.DiscussionCommit.created_at",description:`<strong>created_at</strong> (<code>datetime</code>) &#x2014;
A <a href="https://docs.python.org/3/library/datetime.html?highlight=datetime#datetime.datetime" rel="nofollow"><code>datetime</code></a>
object holding the creation timestamp for the event.`,name:"created_at"},{anchor:"huggingface_hub.DiscussionCommit.author",description:`<strong>author</strong> (<code>str</code>) &#x2014;
The username of the Discussion / Pull Request author.
Can be <code>&quot;deleted&quot;</code> if the user has been deleted since.`,name:"author"},{anchor:"huggingface_hub.DiscussionCommit.summary",description:`<strong>summary</strong> (<code>str</code>) &#x2014;
The summary of the commit.`,name:"summary"},{anchor:"huggingface_hub.DiscussionCommit.oid",description:`<strong>oid</strong> (<code>str</code>) &#x2014;
The OID / SHA of the commit, as a hexadecimal string.`,name:"oid"}],source:"https://github.com/huggingface/huggingface_hub/blob/v0.17.3/src/huggingface_hub/community.py#L261"}}),O=new V({props:{name:"class huggingface_hub.DiscussionTitleChange",anchor:"huggingface_hub.DiscussionTitleChange",parameters:[{name:"id",val:": str"},{name:"type",val:": str"},{name:"created_at",val:": datetime"},{name:"author",val:": str"},{name:"_event",val:": dict"},{name:"old_title",val:": str"},{name:"new_title",val:": str"}],parametersDescription:[{anchor:"huggingface_hub.DiscussionTitleChange.id",description:`<strong>id</strong> (<code>str</code>) &#x2014;
The ID of the event. An hexadecimal string.`,name:"id"},{anchor:"huggingface_hub.DiscussionTitleChange.type",description:`<strong>type</strong> (<code>str</code>) &#x2014;
The type of the event.`,name:"type"},{anchor:"huggingface_hub.DiscussionTitleChange.created_at",description:`<strong>created_at</strong> (<code>datetime</code>) &#x2014;
A <a href="https://docs.python.org/3/library/datetime.html?highlight=datetime#datetime.datetime" rel="nofollow"><code>datetime</code></a>
object holding the creation timestamp for the event.`,name:"created_at"},{anchor:"huggingface_hub.DiscussionTitleChange.author",description:`<strong>author</strong> (<code>str</code>) &#x2014;
The username of the Discussion / Pull Request author.
Can be <code>&quot;deleted&quot;</code> if the user has been deleted since.`,name:"author"},{anchor:"huggingface_hub.DiscussionTitleChange.old_title",description:`<strong>old_title</strong> (<code>str</code>) &#x2014;
The previous title for the Discussion / Pull Request.`,name:"old_title"},{anchor:"huggingface_hub.DiscussionTitleChange.new_title",description:`<strong>new_title</strong> (<code>str</code>) &#x2014;
The new title.`,name:"new_title"}],source:"https://github.com/huggingface/huggingface_hub/blob/v0.17.3/src/huggingface_hub/community.py#L288"}}),{c(){b=s("meta"),de=i(),v=s("h1"),T=s("a"),he=s("span"),x(H.$$.fragment),Pe=i(),U=s("span"),U.textContent=Fe,le=i(),E=s("p"),E.innerHTML=Ge,me=i(),k=s("ul"),k.innerHTML=ze,fe=i(),D=s("h2"),R=s("a"),ge=s("span"),x(L.$$.fragment),Te=i(),F=s("span"),F.textContent=Je,pe=i(),l=s("div"),x(S.$$.fragment),Re=i(),G=s("p"),G.textContent=Be,Ae=i(),z=s("p"),z.textContent=Ke,_e=i(),q=s("div"),x(I.$$.fragment),He=i(),J=s("p"),J.innerHTML=Qe,be=i(),g=s("div"),x(W.$$.fragment),Ee=i(),B=s("p"),B.textContent=Xe,ke=i(),K=s("p"),K.textContent=Ye,Le=i(),Q=s("ul"),Q.innerHTML=Ze,ve=i(),m=s("div"),x(M.$$.fragment),Se=i(),X=s("p"),X.textContent=et,Ie=i(),Y=s("p"),Y.innerHTML=tt,De=i(),f=s("div"),x(N.$$.fragment),We=i(),Z=s("p"),Z.textContent=nt,Me=i(),ee=s("p"),ee.innerHTML=st,qe=i(),p=s("div"),x(j.$$.fragment),Ne=i(),te=s("p"),te.textContent=ot,je=i(),ne=s("p"),ne.innerHTML=it,xe=i(),_=s("div"),x(O.$$.fragment),Oe=i(),se=s("p"),se.textContent=at,Ve=i(),oe=s("p"),oe.innerHTML=ct,this.h()},l(e){const c=bt("svelte-1phssyn",document.head);b=o(c,"META",{name:!0,content:!0}),c.forEach(t),de=a(e),v=o(e,"H1",{class:!0});var Ce=d(v);T=o(Ce,"A",{id:!0,class:!0,href:!0});var rt=d(T);he=o(rt,"SPAN",{});var ut=d(he);y(H.$$.fragment,ut),ut.forEach(t),rt.forEach(t),Pe=a(Ce),U=o(Ce,"SPAN",{"data-svelte-h":!0}),u(U)!=="svelte-1g8746e"&&(U.textContent=Fe),Ce.forEach(t),le=a(e),E=o(e,"P",{"data-svelte-h":!0}),u(E)!=="svelte-s1i49o"&&(E.innerHTML=Ge),me=a(e),k=o(e,"UL",{"data-svelte-h":!0}),u(k)!=="svelte-wiuv1u"&&(k.innerHTML=ze),fe=a(e),D=o(e,"H2",{class:!0});var $e=d(D);R=o($e,"A",{id:!0,class:!0,href:!0});var ht=d(R);ge=o(ht,"SPAN",{});var gt=d(ge);y(L.$$.fragment,gt),gt.forEach(t),ht.forEach(t),Te=a($e),F=o($e,"SPAN",{"data-svelte-h":!0}),u(F)!=="svelte-5lgvbh"&&(F.textContent=Je),$e.forEach(t),pe=a(e),l=o(e,"DIV",{class:!0});var ie=d(l);y(S.$$.fragment,ie),Re=a(ie),G=o(ie,"P",{"data-svelte-h":!0}),u(G)!=="svelte-hsew6z"&&(G.textContent=Be),Ae=a(ie),z=o(ie,"P",{"data-svelte-h":!0}),u(z)!=="svelte-cin3fe"&&(z.textContent=Ke),ie.forEach(t),_e=a(e),q=o(e,"DIV",{class:!0});var we=d(q);y(I.$$.fragment,we),He=a(we),J=o(we,"P",{"data-svelte-h":!0}),u(J)!=="svelte-1m5rp6j"&&(J.innerHTML=Qe),we.forEach(t),be=a(e),g=o(e,"DIV",{class:!0});var A=d(g);y(W.$$.fragment,A),Ee=a(A),B=o(A,"P",{"data-svelte-h":!0}),u(B)!=="svelte-1mr0otk"&&(B.textContent=Xe),ke=a(A),K=o(A,"P",{"data-svelte-h":!0}),u(K)!=="svelte-ieg5lw"&&(K.textContent=Ye),Le=a(A),Q=o(A,"UL",{"data-svelte-h":!0}),u(Q)!=="svelte-13l3dku"&&(Q.innerHTML=Ze),A.forEach(t),ve=a(e),m=o(e,"DIV",{class:!0});var ae=d(m);y(M.$$.fragment,ae),Se=a(ae),X=o(ae,"P",{"data-svelte-h":!0}),u(X)!=="svelte-3bqgej"&&(X.textContent=et),Ie=a(ae),Y=o(ae,"P",{"data-svelte-h":!0}),u(Y)!=="svelte-w3clrr"&&(Y.innerHTML=tt),ae.forEach(t),De=a(e),f=o(e,"DIV",{class:!0});var ce=d(f);y(N.$$.fragment,ce),We=a(ce),Z=o(ce,"P",{"data-svelte-h":!0}),u(Z)!=="svelte-9d6753"&&(Z.textContent=nt),Me=a(ce),ee=o(ce,"P",{"data-svelte-h":!0}),u(ee)!=="svelte-w3clrr"&&(ee.innerHTML=st),ce.forEach(t),qe=a(e),p=o(e,"DIV",{class:!0});var re=d(p);y(j.$$.fragment,re),Ne=a(re),te=o(re,"P",{"data-svelte-h":!0}),u(te)!=="svelte-1jct6gw"&&(te.textContent=ot),je=a(re),ne=o(re,"P",{"data-svelte-h":!0}),u(ne)!=="svelte-w3clrr"&&(ne.innerHTML=it),re.forEach(t),xe=a(e),_=o(e,"DIV",{class:!0});var ue=d(_);y(O.$$.fragment,ue),Oe=a(ue),se=o(ue,"P",{"data-svelte-h":!0}),u(se)!=="svelte-1x0b7r2"&&(se.textContent=at),Ve=a(ue),oe=o(ue,"P",{"data-svelte-h":!0}),u(oe)!=="svelte-w3clrr"&&(oe.innerHTML=ct),ue.forEach(t),this.h()},h(){h(b,"name","hf:doc:metadata"),h(b,"content",JSON.stringify(Dt)),h(T,"id","interacting-with-discussions-and-pull-requests"),h(T,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),h(T,"href","#interacting-with-discussions-and-pull-requests"),h(v,"class","relative group"),h(R,"id","huggingface_hub.Discussion"),h(R,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),h(R,"href","#huggingface_hub.Discussion"),h(D,"class","relative group"),h(l,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),h(q,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),h(g,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),h(m,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),h(f,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),h(p,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),h(_,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(e,c){n(document.head,b),r(e,de,c),r(e,v,c),n(v,T),n(T,he),C(H,he,null),n(v,Pe),n(v,U),r(e,le,c),r(e,E,c),r(e,me,c),r(e,k,c),r(e,fe,c),r(e,D,c),n(D,R),n(R,ge),C(L,ge,null),n(D,Te),n(D,F),r(e,pe,c),r(e,l,c),C(S,l,null),n(l,Re),n(l,G),n(l,Ae),n(l,z),r(e,_e,c),r(e,q,c),C(I,q,null),n(q,He),n(q,J),r(e,be,c),r(e,g,c),C(W,g,null),n(g,Ee),n(g,B),n(g,ke),n(g,K),n(g,Le),n(g,Q),r(e,ve,c),r(e,m,c),C(M,m,null),n(m,Se),n(m,X),n(m,Ie),n(m,Y),r(e,De,c),r(e,f,c),C(N,f,null),n(f,We),n(f,Z),n(f,Me),n(f,ee),r(e,qe,c),r(e,p,c),C(j,p,null),n(p,Ne),n(p,te),n(p,je),n(p,ne),r(e,xe,c),r(e,_,c),C(O,_,null),n(_,Oe),n(_,se),n(_,Ve),n(_,oe),ye=!0},p:mt,i(e){ye||($(H.$$.fragment,e),$(L.$$.fragment,e),$(S.$$.fragment,e),$(I.$$.fragment,e),$(W.$$.fragment,e),$(M.$$.fragment,e),$(N.$$.fragment,e),$(j.$$.fragment,e),$(O.$$.fragment,e),ye=!0)},o(e){w(H.$$.fragment,e),w(L.$$.fragment,e),w(S.$$.fragment,e),w(I.$$.fragment,e),w(W.$$.fragment,e),w(M.$$.fragment,e),w(N.$$.fragment,e),w(j.$$.fragment,e),w(O.$$.fragment,e),ye=!1},d(e){e&&(t(de),t(v),t(le),t(E),t(me),t(k),t(fe),t(D),t(pe),t(l),t(_e),t(q),t(be),t(g),t(ve),t(m),t(De),t(f),t(qe),t(p),t(xe),t(_)),t(b),P(H),P(L),P(S),P(I),P(W),P(M),P(N),P(j),P(O)}}}const Dt={local:"interacting-with-discussions-and-pull-requests",sections:[{local:"huggingface_hub.Discussion",title:"Data structures"}],title:"Interacting with Discussions and Pull Requests"};function qt(Ue){return ft(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class wt extends pt{constructor(b){super(),_t(this,b,qt,vt,lt,{})}}export{wt as component};
